
#define LXR_300  0
#define LXR_600  1
#define LXR_1200 2


#ifndef MIN
#define MIN(x,y) ( (x) < (y) ? (x) : (y))
#endif
#ifndef MAX
#define MAX(x,y) ( (x) > (y) ? (x) : (y))
#endif

enum LX_MODELS {LX_2050,LX_z11,LX_3200,LX_z31,LX_5700,LX_7000,LX_z51};

typedef struct {
  int vres;
  int field_interlace;  
  int field_nodouble;

  int c_offset_y;
  int m_offset_y;
  int y_offset_y;
  int k_offset_y;

  int c_swipe_height;
  int m_swipe_height;
  int y_swipe_height;
  int k_swipe_height;

  int top_offset;
  int dev_height;

} vres_settings;

typedef struct {
  int hres;

  int c_offset_x;
  int m_offset_x;
  int y_offset_x;
  int k_offset_x;

  int k_offset_headsep;
  int C_offset_headsep;

  int left_offset;
  int dev_width;

} hres_settings;

static vres_settings v_dpi300  = 
{LXR_300, 0,0,  -96,-48,0,-12,     31,31,32,104, 0, 3300};
static vres_settings v_dpi600  = 
{LXR_600, 0,1, -192,-96,0,-24,     63,62,64,208, 0, 6600};
static vres_settings v_dpi1200 = 
{LXR_1200,1,1, -384,-192,0,-48, 126,124,128,416, 0,12300};

static hres_settings h_dpi300=
{ LXR_300, 0,0,0,0,  8, 8, 0, 2550};
static hres_settings h_dpi600=
{ LXR_600, 0,0,0,0, 16,16, 0, 5100};
static hres_settings h_dpi1200=
{LXR_1200, 0,0,0,0, 32,32, 0,10200};

extern int lxmgen_print_page(long pwidth, long pheight, long bwidth, 
			     char *cbuf,char *mbuf,char *ybuf, char *kbuf,
			     FILE *prn_stream,
			     hres_settings *hm,vres_settings *vm,int model);


