/* PCL reset printer */
static char PCL_reset[]={
  0x1b, 0x45
};

/* PCL print test */
static char PCL_test[]={
  0x1b, 0x7a
};

/* LEX eject paper */
static char LEX_eject[]={
  0x1b, 0x2a, 0x07, 0x65
};

/* PCL eject paper */
static char PCL_eject[]={
  0x1b, 0x26, 0x6c, 0x30, 0x48
};

/* LEX feed paper n/1200" */
static char LEX_vshift[]={
  0x1b, 0x2a, 0x03, 0x00, 0x00
  /*                ^^^^  ^^^^ fill */
};

/* PCL shift code */
static char PCL_vshift[]={
  0x1b, 0x2a, 0x62, 0x00, 0x00, 0x44
  /*                ^^^^  ^^^^ fill */
};

/* PCL ink depletion setting */
static char PCL_ink[]={
  0x1b, 0x2a, 0x6f, 0x00, 0x44
  /*                ^^^^ fill */
};

/* PCL shingling setting */
static char PCL_shingle[]={
  0x1b, 0x2a, 0x6f, 0x00, 0x51
  /*                ^^^^ fill */
};

/* LEX graphics transfer */
static char LEX_graphics[]={
  0x1B, 0x2A, 0x04, 0x00, 0x00, 
  0xFF, 0xFF, /* sequence length */
  0x00, 
  0x02, /* horizontal resolution */
  0x01, 
  0x01, /* active cartridge */
  0x1A, 
  0x11, /* setting that varies by active cartridge/model... */
  0xFF, 0xFF, /* number of packets */
  0xFF, 0xFF, /* horiz start */
  0xFF, 0xFF, /* horiz end */
  0x00, 0x00, 0x22, 0x33, 0x44, 0x55, 0x01
};

/* LEX set ink cartridge type */
static char LEX_cart[]={
  0xa5,0x00,0x05,0x40,0xe0,0x80,
  0x00, /* cartridge 0 (bw/photo, aka right?) */
  0x00, /* cartridge 1 (color. aka left?) */
};

static char LEX_fullinit[]={

  /* Header from stairsc.prn */

  0x1b, 0x2a, 0x6d, 0x00, 0x40, 0x0d, 0x02, 0x0f, 0x0f,
  0xa5, 0x00, 0x06, 0x40, 0x03, 0x03, 0xc0, 0x0f, 0x0f,
  0xa5, 0x00, 0x03, 0x40, 0x04, 0x05,
  0xa5, 0x00, 0x03, 0x40, 0x04, 0x06,
  0xa5, 0x00, 0x03, 0x40, 0x04, 0x07,
  0xa5, 0x00, 0x03, 0x40, 0x04, 0x08,
  0xa5, 0x00, 0x04, 0x40, 0x04, 0x0c, 0x00, 
  0xa5, 0x00, 0x04, 0x40, 0xe0, 0x0b, 0x03, 
  0xa5, 0x00, 0x0b, 0x40, 0xe0, 0x41, 0x00, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 
  0xa5, 0x00, 0x06, 0x40, 0x05, 0x00, 0x00, 0x80, 0x00,
  0xa5, 0x00, 0x04, 0x40, 0x04, 0x0c, 0x00,
  0x1b, 0x2a, 0x07, 0x73, 0x30, 0x1b, 0x2a, 0x07, 0x63, 
  0x1b, 0x2a, 0x6d, 0x00, 0x42, 0x00, 0x00,
  0xa5, 0x00, 0x05, 0x40, 0xe0, 0x80, 0x07, 0x08, 

};


#define MAX_SWIPE_H 208

#define C_SWIPE_H 63
#define M_SWIPE_H 62
#define Y_SWIPE_H 64
#define K_SWIPE_H 208

#define C_BUFFER_VOFFSET 2
#define M_BUFFER_VOFFSET 67
#define Y_BUFFER_VOFFSET 130
#define K_BUFFER_VOFFSET 0

#define MAX_PACKET_SIZE 28
#define MAX_JET_WORDS 13

/* offsets to print line sequence (defined in outbuf) */
#define IDX_SEQLEN 5
#define IDX_HORRES 8
#define IDX_PACKETS 13
#define IDX_5700DIF 12
#define IDX_HSTART 15
#define IDX_HEND 17
#define IDX_DATA 26
#define IDX_CARTRIDGE 10

#define OUT_BUF_SIZE (256*1024)

